SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000211: openswan configuration in 2.1/2.1.1 - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000211Endian FirewallNetwork related (VPN, uplinks)public2007-07-03 18:192007-12-31 19:15
ReporterThomas Heimann 
Assigned Topeter-endian 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.1 
Target VersionFixed in Version2.2-beta2 
Summary0000211: openswan configuration in 2.1/2.1.1
Descriptionthe IPSEC settings in EFW 2.1 has changed
but the resulting settings in ipsec.conf are still wrong.
If i choose phase 1 group as esp group in the webinterface the setting in
ipsec.conf is pfs =no
if i choose anything other the setting in ipsec.conf is pfs=yes and pfsgroup is
set.

But the pfsgroup can't be set in openswan 2.4.x. it's always the phase 1 group.
So the whole pfsgroup option is deprecated.
The only option is to disable the ESP Group with pfs=no. Default is pfs=yes.

So the ESP group setting should be removed from the interface and replaced by a
an option pfs yes or no.
TagsNo tags attached.
Attached Filesjpg file icon openswan.jpg [^] (94,565 bytes) 2007-07-03 18:19

- Relationships

-  Notes
(0000593)
peter-endian (administrator)
2007-10-28 14:19

current 2.2 beta does not contain the fix, however we upgraded to the current ipcop version. Will be released with the next beta

- Issue History
Date Modified Username Field Change
2007-07-03 18:19 Thomas Heimann New Issue
2007-07-03 18:19 Thomas Heimann File Added: openswan.jpg
2007-10-28 14:19 peter-endian Status new => resolved
2007-10-28 14:19 peter-endian Fixed in Version => 2.2
2007-10-28 14:19 peter-endian Resolution open => fixed
2007-10-28 14:19 peter-endian Assigned To => peter-endian
2007-10-28 14:19 peter-endian Note Added: 0000593
2007-12-31 19:15 raphael-endian Fixed in Version 2.2-beta1 => 2.2-beta2
2007-12-31 19:15 raphael-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker